Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class FIFInterpreter.FIFInstr

    java.lang.Object
      avrora.sim.FIFInterpreter.FIFInstr

Direct Known Subclasses:
  FIFInterpreter.FIFInstr_ADC, FIFInterpreter.FIFInstr_ADD, FIFInterpreter.FIFInstr_ADIW, FIFInterpreter.FIFInstr_AND, FIFInterpreter.FIFInstr_ANDI, FIFInterpreter.FIFInstr_ASR, FIFInterpreter.FIFInstr_BCLR, FIFInterpreter.FIFInstr_BLD, FIFInterpreter.FIFInstr_BRBC, FIFInterpreter.FIFInstr_BRBS, FIFInterpreter.FIFInstr_BRCC, FIFInterpreter.FIFInstr_BRCS, FIFInterpreter.FIFInstr_BREAK, FIFInterpreter.FIFInstr_BREQ, FIFInterpreter.FIFInstr_BRGE, FIFInterpreter.FIFInstr_BRHC, FIFInterpreter.FIFInstr_BRHS, FIFInterpreter.FIFInstr_BRID, FIFInterpreter.FIFInstr_BRIE, FIFInterpreter.FIFInstr_BRLO, FIFInterpreter.FIFInstr_BRLT, FIFInterpreter.FIFInstr_BRMI, FIFInterpreter.FIFInstr_BRNE, FIFInterpreter.FIFInstr_BRPL, FIFInterpreter.FIFInstr_BRSH, FIFInterpreter.FIFInstr_BRTC, FIFInterpreter.FIFInstr_BRTS, FIFInterpreter.FIFInstr_BRVC, FIFInterpreter.FIFInstr_BRVS, FIFInterpreter.FIFInstr_BSET, FIFInterpreter.FIFInstr_BST, FIFInterpreter.FIFInstr_CALL, FIFInterpreter.FIFInstr_CBI, FIFInterpreter.FIFInstr_CBR, FIFInterpreter.FIFInstr_CLC, FIFInterpreter.FIFInstr_CLH, FIFInterpreter.FIFInstr_CLI, FIFInterpreter.FIFInstr_CLN, FIFInterpreter.FIFInstr_CLR, FIFInterpreter.FIFInstr_CLS, FIFInterpreter.FIFInstr_CLT, FIFInterpreter.FIFInstr_CLV, FIFInterpreter.FIFInstr_CLZ, FIFInterpreter.FIFInstr_COM, FIFInterpreter.FIFInstr_CP, FIFInterpreter.FIFInstr_CPC, FIFInterpreter.FIFInstr_CPI, FIFInterpreter.FIFInstr_CPSE, FIFInterpreter.FIFInstr_DEC, FIFInterpreter.FIFInstr_EICALL, FIFInterpreter.FIFInstr_EIJMP, FIFInterpreter.FIFInstr_ELPM, FIFInterpreter.FIFInstr_ELPMD, FIFInterpreter.FIFInstr_ELPMPI, FIFInterpreter.FIFInstr_EOR, FIFInterpreter.FIFInstr_FMUL, FIFInterpreter.FIFInstr_FMULS, FIFInterpreter.FIFInstr_FMULSU, FIFInterpreter.FIFInstr_ICALL, FIFInterpreter.FIFInstr_IJMP, FIFInterpreter.FIFInstr_IN, FIFInterpreter.FIFInstr_INC, FIFInterpreter.FIFInstr_JMP, FIFInterpreter.FIFInstr_LD, FIFInterpreter.FIFInstr_LDD, FIFInterpreter.FIFInstr_LDI, FIFInterpreter.FIFInstr_LDPD, FIFInterpreter.FIFInstr_LDPI, FIFInterpreter.FIFInstr_LDS, FIFInterpreter.FIFInstr_LPM, FIFInterpreter.FIFInstr_LPMD, FIFInterpreter.FIFInstr_LPMPI, FIFInterpreter.FIFInstr_LSL, FIFInterpreter.FIFInstr_LSR, FIFInterpreter.FIFInstr_MOV, FIFInterpreter.FIFInstr_MOVW, FIFInterpreter.FIFInstr_MUL, FIFInterpreter.FIFInstr_MULS, FIFInterpreter.FIFInstr_MULSU, FIFInterpreter.FIFInstr_NEG, FIFInterpreter.FIFInstr_NOP, FIFInterpreter.FIFInstr_OR, FIFInterpreter.FIFInstr_ORI, FIFInterpreter.FIFInstr_OUT, FIFInterpreter.FIFInstr_POP, FIFInterpreter.FIFInstr_PUSH, FIFInterpreter.FIFInstr_RCALL, FIFInterpreter.FIFInstr_RET, FIFInterpreter.FIFInstr_RETI, FIFInterpreter.FIFInstr_RJMP, FIFInterpreter.FIFInstr_ROL, FIFInterpreter.FIFInstr_ROR, FIFInterpreter.FIFInstr_SBC, FIFInterpreter.FIFInstr_SBCI, FIFInterpreter.FIFInstr_SBI, FIFInterpreter.FIFInstr_SBIC, FIFInterpreter.FIFInstr_SBIS, FIFInterpreter.FIFInstr_SBIW, FIFInterpreter.FIFInstr_SBR, FIFInterpreter.FIFInstr_SBRC, FIFInterpreter.FIFInstr_SBRS, FIFInterpreter.FIFInstr_SEC, FIFInterpreter.FIFInstr_SEH, FIFInterpreter.FIFInstr_SEI, FIFInterpreter.FIFInstr_SEN, FIFInterpreter.FIFInstr_SER, FIFInterpreter.FIFInstr_SES, FIFInterpreter.FIFInstr_SET, FIFInterpreter.FIFInstr_SEV, FIFInterpreter.FIFInstr_SEZ, FIFInterpreter.FIFInstr_SLEEP, FIFInterpreter.FIFInstr_SPM, FIFInterpreter.FIFInstr_ST, FIFInterpreter.FIFInstr_STD, FIFInterpreter.FIFInstr_STPD, FIFInterpreter.FIFInstr_STPI, FIFInterpreter.FIFInstr_STS, FIFInterpreter.FIFInstr_SUB, FIFInterpreter.FIFInstr_SUBI, FIFInterpreter.FIFInstr_SWAP, FIFInterpreter.FIFInstr_TST, FIFInterpreter.FIFInstr_WDR

Enclosing class:
  FIFInterpreter

protected abstract static class FIFInterpreter.FIFInstr
extends java.lang.Object

Field Summary
`int` | `imm1`
`int` | `imm2`
`Instr` | `instr`
`FIFInterpreter.FIFInstr` | `next`
`FIFInterpreter.FIFInstr` | `other`
`int` | `pc`
`Simulator.Probe` | `probe`
`int` | `r1`
`int` | `r2`

Constructor Summary
`FIFInterpreter.FIFInstr(Instr i, int pc_)`

Method Summary
`abstract void` | `execute(FIFInterpreter interp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pc

    public final int pc

### instr

    public final Instr instr

### r1

    public int r1

### r2

    public int r2

### imm1

    public int imm1

### imm2

    public int imm2

### probe

    public Simulator.Probe probe

### next

    public FIFInterpreter.FIFInstr next

### other

    public FIFInterpreter.FIFInstr other

Constructor Detail

### FIFInterpreter.FIFInstr

    public FIFInterpreter.FIFInstr(Instr i,
                                   int pc_)

Method Detail

### execute

    public abstract void execute(FIFInterpreter interp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD